class Geometric
{
	private int base = 2;
	private int length = 10;
	private int[] sequence;
	
	Geometric()
	{	
		sequence = new int[length];
		
		sequence[0] = 1;
		for (int i = 1; i < length; i ++){
			sequence[i] = sequence[i-1]*base;   
		}
	}
	
	Geometric(int base, int length)
	{	
		this.length = length;
		this.base = base;
		sequence = new int[length];

		sequence[0] = 1;
		for (int i = 1; i < length; i ++){
			sequence[i] = sequence[i-1]*base;   
		}
	}
	
	public void print(){
		for (int i = 0; i < length; i ++){
			System.out.print(sequence[i] + " ");
		}
		System.out.println();
	}
	
	public boolean equals(Geometric other){
		if ((this.length ==other.length) && (this.base==other.base)){
			return true;
		}
		return false;
	}
	

	public void multiply(Geometric other){
		if (this.length!=other.length){
			System.out.println("different length");
			return;
		}
		this.base *= other.base;
		for (int i = 0; i < length; i ++){
			this.sequence[i] *= other.sequence[i];
		}
	}
	
	
}
